export default () => {
  if (
    typeof window === 'undefined'
    || typeof window.navigator === 'undefined'
    || typeof window.navigator.userAgent === 'undefined'
  ) {
    return {};
  }

  const ip = window.ENV ? window.ENV.ip : '';

  const userAgent = window.navigator
    ? window.navigator.userAgent
    : '';

  const href = location.href || '';

  return {
    ip,
    userAgent,
    href,
  };
};
