import React from 'react';
import { useForm } from 'react-hook-form';
import pdf from '../src/pdf';

export default ({
  title: 'pdf',
});

export const defaultStory = () => {
  // eslint-disable-next-line
  const { register, handleSubmit } = useForm();

  const submit = values => {
    pdf(values);
  };

  return (
    <form
      onSubmit={handleSubmit(submit)}>

      <div>
        <textarea
          style={{ display: 'block' }}
          rows="7"
          name="content"
          ref={register()}
          placeholder="content ..." />

        <input
          name="name"
          type="text"
          ref={register()}
          placeholder="filaname ..." />
      </div>
      <button type="submit">to pdf</button>
    </form>
  );
};
